.\"	$NetBSD: ypxfr.8,v 1.11 2005/02/26 16:36:25 thorpej Exp $
.\"
.\" Copyright (c) 1994 Mats O Jansson <moj@stacken.kth.se>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd February 26, 2005
.Dt YPXFR 8
.Os
.Sh NAME
.Nm ypxfr
.Nd get a NIS map from NIS server
.Sh SYNOPSIS
.Nm
.Op Fl bcf
.Bk -words
.Op Fl C Ar tid prog ipadd port
.Ek
.Bk -words
.Op Fl d Ar domain
.Ek
.Bk -words
.Op Fl h Ar host
.Ek
.Bk -words
.Op Fl s Ar domain
.Ek
.Ar mapname
.Sh DESCRIPTION
.Nm
is the utility in
.Tn NIS
that transfers maps to the local host.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl b
Preserve the entry in the database informing a
.Tn NIS
server to use
DNS to get information about unknown hosts. This option will only have
effect on the maps
.Pa hosts.byname
and
.Pa hosts.byaddr .
.It Fl c
Don't send a "Clear current map" to local
.Nm ypserv
process. Useful if
.Nm ypserv
isn't running locally to avoid timeout message.
.It Fl C Ar tid prog ipadd port
This option is only used by
.Nm ypserv .
This is to open communication with
.Nm yppush
on another host.
.It Fl d Ar domain
Don't use default domain, use the specified domain.
.It Fl f
Force map transfer, even if the master's version is older than the local copy.
.It Fl h Ar host
Get map from host instead of the maps master host.
.It Fl s Ar domain
Specify a source domain other than the target domain.
.El
.Sh SEE ALSO
.Xr nis 8 ,
.Xr yppush 8 ,
.Xr ypserv 8
.Sh AUTHORS
.An Mats O Jansson Aq moj@stacken.kth.se
